GET v2/configSettings/{centerReferenceId}/technologyFlags
Authorization
Access to this endpoint is granted if all following conditions are true:
- Everyone who passes an authentication token in "x-territory-key" URI parameter which is configured to allow access to this endpoint.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| centerReferenceId | string |
Required |
Body Parameters
None.
Response Information
Resource Description
PearsonEnglish.LearningServices.Core.Models.Views.TechnologyFlagsViewModelV2| Name | Description | Type | Additional information |
|---|---|---|---|
| CenterId | globally unique identifier |
None. |
|
| IsTechnologyEnabledFlag | boolean |
None. |
|
| IsZoomEnabledFlag | boolean |
None. |
Response Formats
application/json, text/json
Sample:
{
"CenterId": "caa6bcbe-1eb4-4910-b9f2-be8e21c9c184",
"IsTechnologyEnabledFlag": true,
"IsZoomEnabledFlag": true
}